Subject: Re: bug#58526: bug report upgrading Guix from 1.0.1 to 1.3

From: Timothée Flutre <[email-masked]>
Date: Sun, 16 Oct 2022 17:25:11 +0200

Here is the attachement, sorry for forgetting it the first time.

--------------------------------------------

Thank you Maxime.

I would like to (1) upgrade the deamon, and then (2) use it to update all
packages. I hence started by reading the manual:
https://guix.gnu.org/manual/en/html_node/Upgrading-Guix.html
Because I am running on a foreign distro, I used the command "sudo -i guix
pull" as indicated.

Following your advice, I used today "guix pull", but I got the same message.

--------------------------------------------

Thank you Simon. I copy-pasted your command but I have no file named
"/gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af".

Best,
Timothée

Le sam. 15 oct. 2022 à 13:55, zimoun <[email-masked]> a écrit :

> Hi,
>
> On Fri, 14 Oct 2022 at 20:08, Timothée Flutre <[email-masked]> wrote:
>
> > I have a computer with Ubuntu 22.04.1 LTS". Some time ago, I installed
> Guix
> > to try it out, which I finally did not for various reasons. But hearing
> the
> > talk of K. Hinsen last month convinced me of giving it another try.
>
> Cool!
>
>
> > I hence started by upgrading Guix, like this:
> > sudo -i guix pull >& output_guix_pull.txt
>
> Well, the guix-daemon is probably too old.  Maybe you need something
> like [1]:
>
>    sudo -i guix package --bootstrap -r guix -i \
>      /gnu/store/n8vdar2f60mvq62g7mngpqwykbm9rw1q-guix-1.2.0rc2-1.0d4b1af
>
> 1: <https://yhetil.org/guix/[email-masked]>
>
>
> > The whole report is attached in the file "output_guix_pull.txt".
>
> Missing attachment.
>
>
> Cheers,
> simon
>